Create General Report
curl --request POST \
--url https://nueborder.com/api/v1/v1/companies/{company_id}/reports \
--header 'Authorization: <api-key>'import requests
url = "https://nueborder.com/api/v1/v1/companies/{company_id}/reports"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://nueborder.com/api/v1/v1/companies/{company_id}/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Operation completed successfully",
"status": 200
}{
"message": "The JSON payload is invalid",
"status": 400
}{
"message": "An internal server error occurred",
"status": 500
}General Report
Create General Report
Generates a new report ID and creates an entry in the database for the general report based on the company ID.
POST
/
v1
/
companies
/
{company_id}
/
reports
Create General Report
Authorizations
Provide your Bearer token in the format: Bearer <your_api_key>
Path Parameters
Company ID for which the report is created
Response
Successfully created the general report" example({"status": "created", "message": "Report created successfully", "data": {"report_id": "generated-uuid"}})